Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type.descriptor.java
Class JdbcTimeTypeDescriptor.TimeMutabilityPlan

    java.lang.Object
      org.hibernate.type.descriptor.java.MutableMutabilityPlan<Date>
          org.hibernate.type.descriptor.java.JdbcTimeTypeDescriptor.TimeMutabilityPlan

All Implemented Interfaces:
  Serializable, MutabilityPlan<Date>

Enclosing class:
  JdbcTimeTypeDescriptor

    public static class JdbcTimeTypeDescriptor.TimeMutabilityPlan

extends MutableMutabilityPlan<Date>

See Also:
  Serialized Form

Field Summary
`static JdbcTimeTypeDescriptor.TimeMutabilityPlan` | `INSTANCE`

Constructor Summary
`JdbcTimeTypeDescriptor.TimeMutabilityPlan()`

Method Summary
`Date` | `deepCopyNotNull(Date value)`

Methods inherited from class org.hibernate.type.descriptor.java.MutableMutabilityPlan
`assemble, deepCopy, disassemble, isMutable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final JdbcTimeTypeDescriptor.TimeMutabilityPlan INSTANCE

Constructor Detail

### JdbcTimeTypeDescriptor.TimeMutabilityPlan

    public JdbcTimeTypeDescriptor.TimeMutabilityPlan()

Method Detail

### deepCopyNotNull

    public Date deepCopyNotNull(Date value)

  Specified by:
    `deepCopyNotNull` in class `MutableMutabilityPlan<Date>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.